complexType "ProductComponentIdentifier"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 3 elements
Defined: | globally in fpml-doc-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | premiumProductReference?, issuer?, tradeId?
</...>

Content Model Elements (3):

  issuer (in productComponentIdentifier), premiumProductReference, | tradeId (in productComponentIdentifier)

All Direct / Indirect Based Elements (1):

  productComponentIdentifier

Known Usage Locations

- As direct type of elements (1):
  productComponentIdentifier

Annotation
A type defining a USI for the a subproduct component of a strategy.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="ProductComponentIdentifier"> <xsd:sequence> <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"/> <xsd:element minOccurs="0" name="issuer" type="IssuerId"/> <xsd:element minOccurs="0" name="tradeId" type="TradeId"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
issuer

  Type: | IssuerId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="issuer" type="IssuerId"/>

premiumProductReference

  Type: | ProductReference, empty content

  Indicates which product within a strategy this ID is associated with.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"/>

tradeId

  Type: | TradeId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tradeId" type="TradeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.